Google GA & Prototype conflict - IE8

carvertechcarvertech Member
in Help edited February 2010
Hello - I followed the GA integration instructions for Store v6.0. I am also using prototype.js on my site. When I add the FC js code beneath the GA code per the documentation, I get a js error in prototype. This appears to only be happening in IE8. I have not yet confirmed if the conversion tracking is actually working yet, but I would like to know if anyone has any ideas about the prototype.js error.
Comments
  • brettbrett FoxyCart Team
    Can you whisper me a link?
    Also you probably want to look at this:
    http://docs.jquery.com/Using_jQuery_with_Other_Libraries

    We've really tried to use jQuery whenever possible to avoid conflicts with other libraries in our own code, but I know there used to be an issue between jQ and Prototype where very specific versions of each would conflict hard. I think that was resolved a while back, but worth noting.
  • brettbrett FoxyCart Team
    Two things I'd try:
    1) Fix the validation issues. I don't think that'd be it but it'd be worth fixing. Javascript can be _really_ picky with those things.

    2) Try removing the first ($) on the .ready(function($) bit, and change all the subsequent $ to jQuery. That might help. Let us know.
Sign In or Register to comment.